/*
Sand3d
Copyright (C) 2007 - David Pascoe-Deslauriers

  This file is part of Sand3d.

    Sand3d is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Sand3d is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Sand3d; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "world.h"
#include <stdlib.h>
#include <fstream>

using namespace std;

particle world::getParticleFrom(char *file, int id){
    fstream in;
    in.open(file,ios::in);
    
    char line[32];
    particle p;
    
    while(!in.eof()){
        in.getline(line,32,'\n');
        
    }    



    sprintf(p.name,"Eraser");
    p.mass = 0;
    p.type = id;
    p.colour.x = 0;
    p.colour.y = 0;
    p.colour.z = 0;
    p.alpha = 0;
    p.combustion_counter = -1;
    p.phase = world::SKYHOOK;
    p.fire = -1;
    p.fireid = -1;
    p.puts_out_fire = false;
    
    return p;
}

void world::SaveGame(){/*
    fstream out;
    out.open("save_game.sand3d",ios::out);
    out << x << "," << y "," << z << "\n";
    for (int a = 0; a < x; a++){
        for (int b = 0; b < y; b++){
            for(int c = 0; c < z; c++){
                out << w[a][b][c].type << ",";
            }
            out << "\n";
        }
        out << "\n";
    }    
    out.close;   */ 
}     
